-- Default locals
local L = LibStub('AceLocale-3.0'):NewLocale('ShivvAudio', 'enUS', true)

if not L then return end -- abort if not using these locals

L.Title = '|cff67b1e9S|cff4779cehivv|cff67b1e9A|cff4779ceudio|r' -- Actual text is 'ShivvAudio' with 1 colour for the capital S/A and another for the rest
L.NoGUIWhileMusicOrCombat = 'You cannot configure this mod while in combat or while you have active buffs with associated music. Please exit combat and cancel the relevant buffs before configuring ShivvAudio.'
L.ChatHelp = '\'/shivv\' opens the GUI, and \'/shivv kill\' or \'/shivv stop\' will cancel any currently active music.'

-- Unit ID's
L.Player = 'player'
L.Pet = 'pet'
L.Focus = 'focus'
L.Target = 'target'
L.Party1 = 'party1'
L.Party2 = 'party2'
L.Party3 = 'party3'
L.Party4 = 'party4'
L.Arena1 = 'arena1'
L.Arena2 = 'arena2'
L.Arena3 = 'arena3'
L.Arena4 = 'arena4'
L.Arena5 = 'arena5'

L.None = '|cffff8800No Sound|r'

-- GUI Window
L.Main = 'Main'
L.MediaDatabase = 'Media Database'
L.TrackingAuras = 'Auras'
L.TrackingCombat = 'Combat'
L.TrackingEvents = 'Events'
L.TrackingVitals = 'Vitals'
L.Profiles = 'Profiles'
L.RandomStatus1 = 'ZOMG! Ponies!'
L.RandomStatus2 = '... the... damage affliction dots do... tick for... 1000... years... our dots... cast spells...'
L.RandomStatus3 = 'DOTS: I may not win the argument, but I will have the last word.'
L.RandomStatus4 = 'What is the volume of a pizza of radius z and thickness a?'
L.RandomStatus5 = 'Never moon a Worgen.'
L.RandomStatus6 = 'Stop that infernal clicking!'
L.RandomStatus7 = 'This GUI took longer to write than the mod did!'
L.RandomStatus8 = 'Chuck me!'
L.RandomStatus9 = 'I used to be an adventurer like you, but then I took an arrow to the knee.'
L.RandomStatus10 = 'Psst, I know you... hail sweetroll.'
L.RandomStatus11 = 'You know nothing, Jon Snow.'
L.RandomStatus12 = 'Winter is coming...'
L.RandomStatus13 = 'Error 37'
L.RandomStatus14 = 'By Azura, by Azura, by Azura, it\'s the Grand Champion!'
L.RandomStatus15 = 'You have been slain by a Chubby Pink Unicorn.'
L.RandomStatus16 = 'You have been eaten by a Grue.'

-- Main
L.ToggleTrackingAuras = 'Enable Aura Tracking'
L.ToggleTrackingAurasDesc = 'Attach media to gaining, losing or having auras on yourself and others.'
L.ToggleTrackingCombat = 'Enable Combat Tracking'
L.ToggleTrackingCombatDesc = 'Attach sounds to entering (and leaving) combat, music to play during combat, when fighting elites or bosses or when enemies numbers grow.'
L.ToggleTrackingEvents = 'Enable Event Tracking'
L.ToggleTrackingEventsDesc = 'Attach media to in-game events like leveling, visiting merchatns and banks and more.'
L.ToggleTrackingVitals = 'Enable Vitals Tracking'
L.ToggleTrackingVitalsDesc = 'Attach sounds to yourself and those around you that will play when their health or power (mana, energy, etc) falls below a chosen threshold.'
L.ToggleMusicControl = 'Enable Music Control'
L.ToggleMusicControlDesc = 'Gives ShivvAudio control of in-game music so as to only play it when requested. When disabled, zone music will play until interrupted by this mod.'
L.AddLSM = 'LibSharedMedia Import'
L.AddLSMDisabled = 'LibSharedMedia Not Found'
L.AddLSMDescEnabled = 'This button will import the current library of sounds from any mods that use LibSharedMedia. Please note that while all available sounds will be imported into the media library, any future changes to the relevant sound files (such as deleting the mod that provides them) will not be tracked and, even if the file no longer exists, the entry will remain in the media database.'
L.LSMEntriesAdded = ' entries added to the Media Database from LibSharedMedia.'
L.IntroTitle = 'Guide To ShivvAudio'
-- START INTRO BLOCK --
L.Intro = [[ShivvAudio allows you to assign media (sounds or music) to things that happen in the game. There are 4 main modules, each allows media to be attached to a different in-game source. These modules are:

|cffffd100Auras|r - Allows a sound to be attached when you (or those around you) gain or lose an aura (buff or debuff). The mod doesn't care where the aura came from, simply that it exists on the 'unit' you are tracking. Additionally, for auras on yourself (the 'player' unit) you can have the mod play a music file while the buff is active.

|cff40bad8Examples:|r playing music while on a mount, an alert when an arena opponent gains a powerful buff, an alert when a party member gets a nasty raid mob debuff and needs special attention, an alert when your pet's buffs fade.

|cffffd100Combat|r - Allows you to set music to play during combat, as well as sounds when entering and leaving combat. This is configurable for each main area (other than arenas) you can fight in such as battlegrounds, dungeons, raids and out in the world. You can also set special music to play when battling overworld elites or bosses in dungeons (boss music requires DBM to be installed). Additionally by enabling tiered combat you can have more epic music play the more mobs you chain in a single battle!

|cffffd100Events|r - Allows you to attach sounds (or music) to in-game events such as leveling up, earning an achievement or your character dying (never said all the event choices were pleasant ones!). You can also have music play when visiting vendors such as shops, the auction house or the bank.

|cffffd100Vitals|r - Allows a sound to be assigned to yourself (or those around you) that alerts you when they fall below a certain amount of health or power (rage/energy/mana/etc). Each unit tracked can have its health or power (or both) tracked with unique or similar sounds for each, and a trigger only at a percentage chosen by you.

|cff40bad8Examples:|r an alert when your health or a party member's health falls below 50%, an alert when a raid boss is in the 25% 'execution' phase (so long as its your target or focus).

|cffffd100Global Media Database|r - In addition to these modules which are configured on a per profile (default per character) basis, ShivvAudio provides a global database for sounds that are used by all characters on a single account. For each media entry, you pick a name that references the media being entered and that name will represent the media in all the other modules options. While the mod assumes most of your media files will be played from the Media folder in ShivvAudio's AddOn folder, you can use a file placed in any AddOn's folder or even sounds built into WoW itself!

|cff40bad8Examples of valid file paths would be:|r

For a file in the ShivvAudio\Media folder -
|cffffd1001812overtune.mp3|r
(and checking 'In Shivv Media?')

For a file in another AddOn's folder -
|cffffd100Interface\AddOns\Boing\boing.mp3|r
(and unchecking 'In Shivv Media?')

For a file in WoW itself -
|cffffd100Sound\Event Sounds\Event_wardrum_ogre.wav|r
(and unchecking 'In Shivv Media?')

|cffffd100Note:|r Paths for files internal to WoW must be found yourself on various websites and while internal files can have a .wav extension, WoW will only recognise .mp3 or .ogg externally. Additionally, you must enter a full filename (or path) including the file extension (.mp3, etc) and WoW is case-sensitive in regards to filenames, so please be aware of the above.

|cffffd100IMPORTANT:|r Please be aware of setting a sound to a recommended music entry and vice versa. The way WoW works is that anything tagged as music will be unique and stop any other music currently playing; but for a sound, all sounds activated can play concurrently. This makes it a bad idea, for example, to associated music with anything under Vitals or for gaining and losing a buff as once a long sound begins playing (when not assigned as music), it cannot be stopped without rebooting the game.]]
-- END INTRO BLOCK --

-- Media Panel
L.Yes = 'Yes'
L.No = 'No'
L.ListOfMedia = 'List of Media Entries'
L.MediaHeaderName = 'Media Name'
L.MediaHeaderMusic = 'Is Music?'
L.MediaHeaderPath = 'File Path'
L.MediaAdd = 'Add New Media'
L.MediaEdit = 'Edit Selected Media Entry'
L.MediaName = 'Media Name'
L.MediaNameTip = 'Name of Media Entry'
L.MediaNameDesc = 'Choose the name for the new media entry.\n\nThis can be anything except for the word \'none\' due to internal usage.'
L.MediaIsMusic = 'Is It Music?'
L.MediaIsMusicTip = 'Is This Media Entry Music?'
L.MediaIsMusicDesc = 'Sets whether this entry is considered music. This option simply colour-codes the entry in other option dialogs for easier reference.\n\neg, helps you not set a short sound clip to a long duration buff.'
L.MediaPath = 'Path to Media'
L.MediaPathTip = 'Filepath to Media'
L.MediaPathDesc = 'You must enter the full filepath to the media file you wish to use for this entry. This can either be an internal wow path, a filepath to files in an AddOn\'s folder or, as a special case, a file in the ShivvAudio\\Media folder in which case you need only enter the name of the file.'
L.MediaPathDescEdit = 'You must enter the full filepath to the media file you wish to use for this entry. This can either be an internal wow path or a filepath to files in an AddOn\'s folder.'
L.MediaInShivv = 'In Shivv Media?'
L.MediaInShivvTip = 'In Shivv Media Folder?'
L.MediaInShivvDesc = 'Is the file associated with this media item in the addon\'s ShivvAudio\\Media folder? If so, then check this box and only enter the name of the file in the path box, if not, you must enter the full path to the file.'
L.MediaAddIt = 'Add New Media'
L.MediaMustEnterUniqueNameAndPath = 'You must enter a unique name for the media entry as well as a filepath.'
L.NewMediaAdded = 'New media entry added to database.'
L.MediaEditIt = 'Edit This Media'
L.MediaMustEnterPath = 'You must enter a filepath for this media entry.'
L.EditedMedia = 'Selected media entry has been edited.'
L.MediaDelIt = 'Delete This Media'
L.DeletedMedia = 'Selected media entry has been deleted. All references across all characters have been updated.'
L.PlayMedia = 'Play This Media'
L.PlayingMedia = 'Playing selected media. Please note that the full file will play until its either complete or you click the stop playing button.'
L.StopMedia = 'Stop Playing'

L.RemovingMedia = 'Removing Media Entry: Updating references.'
L.RemovingMediaForChar = '  Updated %d entries for %s.'

-- Auras Panel
L.ListOfAuras = 'List of Aura Entries'
L.AuraHeaderUnit = 'Unit'
L.AuraHeaderBuff = 'Tracked Aura'
L.AuraHeaderGain = 'On Gain'
L.AuraHeaderLoss = 'On Loss'
L.AuraHeaderMusic = 'Music'
L.SortListByUnit = 'Sort List By Units'
L.SortListByBuff = 'Sort List By Buffs'
L.AuraAdd = 'Add New Aura Entry'
L.AuraEdit = 'Edit Selected Aura Entry'
L.AuraUnit = 'Unit'
L.AuraUnitTip = 'Select Unit to Track'
L.AuraUnitDesc = 'For the current entry, select the unitID that will be tracked.\n\nplayer - yourself\n\npet - your pet (if applicable)\n\ntarget - what you target\n\nfocus - your set /focus\n\nparty1-4 - other party members\n\narena1-5 - arena opponents'
L.AuraBuff = 'Aura To Track'
L.AuraBuffTip = 'Aura to Track on Selected Unit'
L.AuraBuffDesc = 'For the current entry, select the aura to be tracked. This can be any aura you know the name of, whether cast by yourself, another player or even an NPC/boss/mob.\n\nSpelling and capitalization must be exact.'
L.AuraOnGain = 'On Gain'
L.AuraOnGainTip = 'Sound Played On Aura Gained'
L.AuraOnGainDesc = 'Choose the sound to play when the chosen aura is cast on the chosen unit.\n\nWhile any sound can be selected, please note that light-blue entries are media files you have designated as music and thus may be to long to play on every aura gain.'
L.AuraOnLoss = 'On Loss'
L.AuraOnLossTip = 'Sound Played On Aura Lost'
L.AuraOnLossDesc = 'Choose the sound to play when the chosen aura fades from the chosen unit.\n\nWhile any sound can be selected, please note that light-blue entries are media files you have designated as music and thus may be to long to play on every aura loss.'
L.AuraMusic = 'Music'
L.AuraMusicTip = 'Music Played While Aura\'s Active'
L.AuraMusicDesc = 'Choose the sound to play while the chosen aura is active on the player.\n\nWhile any sound can be selected, please note that light-blue entries are media files you have designated as music and thus are the best suited choice for this entry.\n\nImportant: This option can only be set for the \'player\' and will be ignored for all other units.'
L.AuraAddButton = 'Add Aura Entry'
L.AuraEntryMustEnterAura = 'You must enter an aura to track.'
L.AuraEntryAlreadyExists = 'An aura entry for this unit already exists.'
L.AuraDelButton = 'Delete Aura Entry'
L.AuraEditButton = 'Edit Aura Entry'
L.AuraEntryDeleted = 'Aura entry deleted.'
L.AuraEntryEdited = 'Aura entry modified.'

-- Combat
L.Outside = 'Outside'
L.Party = '5-Player Dungeons'
L.Raid = 'Raids'
L.Battleground = 'Battlegrounds'
L.Enableoutside = 'Enable While Outside'
L.EnableDescoutside = 'Enable combat music while not in a dungeon, raid, arena or battleground.'
L.Enableparty = 'Enable In Dungeons'
L.EnableDescparty = 'Enable combat music while in a 5-player dungeon.'
L.Enableraid = 'Enable In Raids'
L.EnableDescraid = 'Enable combat music while in 10 and 25-player raid dungeons.'
L.Enablebg = 'Enable In Battlegrounds'
L.EnableDescbg = 'Enable combat music while in any pvp battleground.'
L.EnableTieredCombat = 'Enable Tiered Combat Mode'
L.EnableDescTieredCombat = 'Enable tiered combat when outside or in dungeons. Details in the guide.'
L.CombatIntroTitle = 'Combat Guide'
-- START COMBAT INTRO BLOCK --
L.CombatIntro = [[This module allows you to set music to play when in combat as well as a sounds to play on entering and leaving combat. Each 'region' of the game world can be configured seperately from the others and can be enabled independently. A special note is the 'Tiered Combat' option, this enables a new mode for battles outside and in dungeons whereby the number of mobs you are fighting in a single battle are tracked and different music can be set to play at a given (configurable) threshold of mobs.

|cffffd100Deadly Boss Mods|r - For tracking of boss battles in dungeons and raids, DBM is used to determine when you are in combat with one, this of course requires DBM to be installed and enabled for the dungeon you are in before boss battle music can be played.

DBM can be downloaded from |cffff8800http://www.deadlybossmods.com|r if needed. This mod is not authored by me, ShivvAudio simply hooks into it for boss tracking.

|cffffd100Outside|r - This 'area' encompasses all zones that are not part of a group or raid based instance. In other words, unless you in a 5 player dungeon, a raid, a battleground or an arena you are in this area. In addition to basic combat sound and music, you can also set music to play when an elite mob is engaged by you or your group (if in one), this music is a higher 'tier' than other combat music and well replace any other combat music being played. When tiered combat is enabled, more options are present here to set the music for each tier as well as adjust the number of mobs required to trigger a new tier.

|cffffd1005-Player Dungeons|r - This area encompasses all 5-player dungeons in the game no matter which expansion they are in or whether they are heroic or not. Options are similar to the outside options with the removal of elite tracking and the addition of boss-specific battle music (and sounds on a wipe or kill). Please note that the boss options require an installation of DBM that is enabled for the dungeon you are entering. This 'region' also supports tiered combat options if enabled.

|cffffd100Raids|r - Ths area encompasses all raid zones in the game whether they are 10-player, 25-player or 40-player, heroic or otherwise. Options are the same as for dungeons (excluding tiered combat) with the same DBM requirement for boss fights.

|cffffd100Battlegrounds|r - This area encompasses all battlegrounds in the game (excluding arena\'s for which this mod does nothing) and has no advanced options. You can simply set music to play while in combat. This is due to the combat mechanics in Battlegrounds and the potential for frequent short-bursts of music which does not lend itself to a more complex system.]]
-- END COMBAT INTRO BLOCK --
L.OnEnteringCombat = 'On Entering Combat'
L.OnLeavingCombat = 'On Leaving Combat'
L.WhenFightingElite = 'When Fighting Elites'
L.WhenFightingBoss = 'When Fighting A Boss\n\n|cffffffff(Requires DBM)|r'
L.WhenFightingTrash = 'When Fighting Trash Mobs'
L.OnWipingBoss = 'On Wiping To A Boss\n\n|cffffffff(Requires DBM)|r'
L.OnKillingBoss = 'On Killing A Boss\n\n|cffffffff(Requires DBM)|r'
L.WhileInCombat = 'While In Combat'
L.WhenInTierI = 'When Fighting At Tier I'
L.WhenInTierII = 'When Fighting At Tier II'
L.WhenInTierIII = 'When Fighting At Tier III'
L.TierI = 'Tier I:'
L.TierII = 'Tier II:'
L.TierIII = 'Tier III:'
L.OneMob = '1 Mob'
L.TwoMobs = '2 Mobs'
L.Mobs = 'Mobs'
L.PlusMobs = '+ Mobs'
L.TierIMaxMobs = 'Max Mobs For Tier I'
L.TierIIMaxMobs = 'Max Mobs For Tier II'

-- Musical Events
L.achievement = 'On Earning An Achievement'
L.auction = 'Visiting An Auctionhouse'
L.bank = 'Visiting A (Guild)Bank'
L.trade = 'While Crafting'
L.death = 'On Your Death'
L.levelup = 'On Leveling Up'
L.lootclose = 'Closing Loot Window'
L.loot = 'While Looting'
L.lootopen = 'Opening Loot Window'
L.merchant = 'Visiting A Shop'
L.SEvent = 'For the event entries below, when they occur the sound chosen will play through once (or nothing will happen if set to No Sound).'
L.MEvent = 'For the event entries below, when they occur the music chosen will begin to play and will repeat until you leave the vendor/bank or stop crafting, etc.'

-- Vitals
L.SetupHealthAlert = 'Setup Health Alert'
L.SetupPowerAlert = 'Setup Power Alert'
L.Sound = 'Alert Sound'
L.HealthLevel = 'Health Level'
L.PowerLevel = 'Power Level'
L.Enable = 'Enable Tracking'
L.EnableTip = 'Enable Tracking For This Unit'
L.EnableDesc = 'Checking this box enables tracking for this unit. When unchecked, even if a sound and percent are set, no sound will play.'
L.RepeatTimer = 'Alert Repeat Timer'
L.RepeatTimerTip = 'Global Alert Repeat Timer'
L.RepeatTimerDesc = 'Set the timeout between audio alerts set for any unit. This will stop the alerts happening on every health (or power) update, they will only happen at most as close together as the timeout value (in seconds). It is recommended to not drop below 5 seconds.'
L.VitalsIntro = 'This module allows you to set audio alerts when certain units health (or power) drops below a set percentage. Both the alert level and sound can be configured on the below tabs for each unit and each entry (health or power for each unit) can be independently toggled.'

-- Profiles
L.Default = 'Default'
L.Current = ' Current Profile: |cffffd100%s|r'
L.ProfileIntro = 'You can change the active database profile, so you can have different settings for every character.'
L.ResetDesc = 'Reset the current profile back to its default values, in case your configuration is broken, or you simply want to start over.'
L.Reset = 'Reset Profile'
L.ChooseDesc = 'Choose one of the already existing profiles to use for this character.'
L.ExistingProfiles = 'Existing Profiles'
L.CopyDesc = 'Copy the settings from one existing profile into the currently active profile.'
L.Copy = 'Copy From'
L.DeleteDesc = 'Delete existing and unused profiles from the database to save space, and cleanup the SavedVariables file.'
L.Delete = 'Delete a Profile'

L.ConvertDB1 = 'Converting database to latest version. Please note, all settings for Auras, Events and Vitals will be converted, Combat settings will be lost and need to be redone.'
L.ConvertDB2 = 'Conversion done!'